nxt.shuffling

## Class ShufflingHome

- java.lang.Object
- - nxt.shuffling.ShufflingHome

-     public final class ShufflingHome
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ShufflingHome.Event`
    `class` | `ShufflingHome.Shuffling`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<ShufflingHome.Shuffling> listener, ShufflingHome.Event eventType)`
    `static ShufflingHome` | `forChain(ChildChain childChain)`
    `DbIterator<ShufflingHome.Shuffling>` | `getAccountShufflings(long accountId, boolean includeFinished, int from, int to)`
    `int` | `getActiveCount()`
    `DbIterator<ShufflingHome.Shuffling>` | `getActiveShufflings(int from, int to)`
    `DbIterator<ShufflingHome.Shuffling>` | `getAll(int from, int to)`
    `DbIterator<ShufflingHome.Shuffling>` | `getAssignedShufflings(long assigneeAccountId, int from, int to)`
    `int` | `getCount()`
    `DbIterator<ShufflingHome.Shuffling>` | `getFinishedShufflings(int from, int to)`
    `int` | `getHoldingShufflingCount(long holdingId, boolean includeFinished)`
    `DbIterator<ShufflingHome.Shuffling>` | `getHoldingShufflings(long holdingId, ShufflingStage stage, boolean includeFinished, int from, int to)`
    `ShufflingHome.Shuffling` | `getShuffling(byte[] fullHash)`
    `static boolean` | `removeListener(Listener<ShufflingHome.Shuffling> listener, ShufflingHome.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forChain

          public static ShufflingHome forChain(ChildChain childChain)

    - #### addListener

          public static boolean addListener(Listener<ShufflingHome.Shuffling> listener,
                                            ShufflingHome.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<ShufflingHome.Shuffling> listener,
                                               ShufflingHome.Event eventType)

    - #### getCount

          public int getCount()

    - #### getActiveCount

          public int getActiveCount()

    - #### getAll

          public DbIterator<ShufflingHome.Shuffling> getAll(int from,
                                                            int to)

    - #### getActiveShufflings

          public DbIterator<ShufflingHome.Shuffling> getActiveShufflings(int from,
                                                                         int to)

    - #### getFinishedShufflings

          public DbIterator<ShufflingHome.Shuffling> getFinishedShufflings(int from,
                                                                           int to)

    - #### getShuffling

          public ShufflingHome.Shuffling getShuffling(byte[] fullHash)

    - #### getHoldingShufflingCount

          public int getHoldingShufflingCount(long holdingId,
                                              boolean includeFinished)

    - #### getHoldingShufflings

          public DbIterator<ShufflingHome.Shuffling> getHoldingShufflings(long holdingId,
                                                                          ShufflingStage stage,
                                                                          boolean includeFinished,
                                                                          int from,
                                                                          int to)

    - #### getAccountShufflings

          public DbIterator<ShufflingHome.Shuffling> getAccountShufflings(long accountId,
                                                                          boolean includeFinished,
                                                                          int from,
                                                                          int to)

    - #### getAssignedShufflings

          public DbIterator<ShufflingHome.Shuffling> getAssignedShufflings(long assigneeAccountId,
                                                                           int from,
                                                                           int to)